/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/windows/log.c: Windows-specific system-level handler for the
 * DLOG() macro.
 */

#ifdef DEBUG  // To the end of the file.

#define IN_SYSDEP

#include "src/base.h"
#include "src/sysdep.h"
#include "src/sysdep/windows/internal.h"

/*************************************************************************/
/*************************** Interface routine ***************************/
/*************************************************************************/

void sys_write_DLOG(char *message, int len)
{
    /* This is essentially just fwrite(buf, 1, len, stderr) as in
     * utility/log.c, but on Windows we avoid stdio to reduce the risk of
     * bad builds (MinGW libc vs. MSVCRT collisions). */

    message[len] = '\n';
    DWORD nwritten_unused;
    WriteFile(GetStdHandle(STD_ERROR_HANDLE), message, len+1,
              &nwritten_unused, NULL);
}

/*************************************************************************/
/*************************************************************************/

#endif  // DEBUG

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
